<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.11) on Sat Dec 04 19:21:21 CET 2021 -->
<title>P-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-12-04">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="P-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="../qengine/engine/comparator/AbstractEngineComparator.html#parseData(java.lang.String)">parseData(String)</a></span> - Method in class qengine.engine.comparator.<a href="../qengine/engine/comparator/AbstractEngineComparator.html" title="class in qengine.engine.comparator">AbstractEngineComparator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/comparator/VerboseEngineComparator.html#parseData(java.lang.String)">parseData(String)</a></span> - Method in class qengine.engine.comparator.<a href="../qengine/engine/comparator/VerboseEngineComparator.html" title="class in qengine.engine.comparator">VerboseEngineComparator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/CustomEngine.html#parseData(java.lang.String)">parseData(String)</a></span> - Method in class qengine.engine.<a href="../qengine/engine/CustomEngine.html" title="class in qengine.engine">CustomEngine</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/Engine.html#parseData(java.lang.String)">parseData(String)</a></span> - Method in interface qengine.engine.<a href="../qengine/engine/Engine.html" title="interface in qengine.engine">Engine</a></dt>
<dd>
<div class="block">Récupère et analyse les données au format RDF contenues dans le fichier.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/JenaEngine.html#parseData(java.lang.String)">parseData(String)</a></span> - Method in class qengine.engine.<a href="../qengine/engine/JenaEngine.html" title="class in qengine.engine">JenaEngine</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/RDF4JEngine.html#parseData(java.lang.String)">parseData(String)</a></span> - Method in class qengine.engine.<a href="../qengine/engine/RDF4JEngine.html" title="class in qengine.engine">RDF4JEngine</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/AbstractEngine.html#parseQueries(java.lang.String,java.lang.String)">parseQueries(String, String)</a></span> - Method in class qengine.engine.<a href="../qengine/engine/AbstractEngine.html" title="class in qengine.engine">AbstractEngine</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/comparator/AbstractEngineComparator.html#parseQueries(java.lang.String,java.lang.String)">parseQueries(String, String)</a></span> - Method in class qengine.engine.comparator.<a href="../qengine/engine/comparator/AbstractEngineComparator.html" title="class in qengine.engine.comparator">AbstractEngineComparator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/Engine.html#parseQueries(java.lang.String,java.lang.String)">parseQueries(String, String)</a></span> - Method in interface qengine.engine.<a href="../qengine/engine/Engine.html" title="interface in qengine.engine">Engine</a></dt>
<dd>
<div class="block">Récupère et analyse les requêtes au format RDF contenues dans une
 arborescence de fichiers.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/comparator/AbstractEngineComparator.html#parseQuery(java.lang.String)">parseQuery(String)</a></span> - Method in class qengine.engine.comparator.<a href="../qengine/engine/comparator/AbstractEngineComparator.html" title="class in qengine.engine.comparator">AbstractEngineComparator</a></dt>
<dd>
<div class="block">Un comparateur n'analyse pas de requête, cela est délégué aux moteurs à
 comparer.</div>
</dd>
<dt><a href="../qengine/query/pattern/Pattern.html" title="interface in qengine.query.pattern"><span class="typeNameLink">Pattern</span></a> - Interface in <a href="../qengine/query/pattern/package-summary.html">qengine.query.pattern</a></dt>
<dd>
<div class="block">Traduction en triplet d'indices d'un
 <code>org.eclipse.rdf4j.query.algebra.StatementPattern</code>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/query/pattern/collector/SubjectPatternCollector.html#patterns">patterns</a></span> - Variable in class qengine.query.pattern.collector.<a href="../qengine/query/pattern/collector/SubjectPatternCollector.html" title="class in qengine.query.pattern.collector">SubjectPatternCollector</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/program/Stopwatch.html#pause()">pause()</a></span> - Static method in class qengine.program.<a href="../qengine/program/Stopwatch.html" title="class in qengine.program">Stopwatch</a></dt>
<dd>
<div class="block">Met en pause le chronomètre de l'appel à <a href="../qengine/program/Stopwatch.html#push(java.lang.String)"><code>Stopwatch.push(String)</code></a> en tête de
 pile.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/program/Stopwatch.html#pop()">pop()</a></span> - Static method in class qengine.program.<a href="../qengine/program/Stopwatch.html" title="class in qengine.program">Stopwatch</a></dt>
<dd>
<div class="block">Enregistre la durée écoulée pour le chronomètre de l'appel à
 <a href="../qengine/program/Stopwatch.html#push(java.lang.String)"><code>Stopwatch.push(String)</code></a> correspondant, puis le chronomètre de la nouvelle tête
 de pile est relancé.</div>
</dd>
<dt><a href="../qengine/index/triplestore/POS.html" title="class in qengine.index.triplestore"><span class="typeNameLink">POS</span></a> - Class in <a href="../qengine/index/triplestore/package-summary.html">qengine.index.triplestore</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/Hexastore.html#POS">POS</a></span> - Variable in class qengine.index.<a href="../qengine/index/Hexastore.html" title="class in qengine.index">Hexastore</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/triplestore/POS.html#%3Cinit%3E()">POS()</a></span> - Constructor for class qengine.index.triplestore.<a href="../qengine/index/triplestore/POS.html" title="class in qengine.index.triplestore">POS</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/query/pattern/SubjectPattern.html#predicate">predicate</a></span> - Variable in class qengine.query.pattern.<a href="../qengine/query/pattern/SubjectPattern.html" title="class in qengine.query.pattern">SubjectPattern</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/query/pattern/collector/SubjectPatternCollector.html#process(org.eclipse.rdf4j.query.algebra.QueryModelNode,qengine.dictionary.Dictionary)">process(QueryModelNode, Dictionary)</a></span> - Static method in class qengine.query.pattern.collector.<a href="../qengine/query/pattern/collector/SubjectPatternCollector.html" title="class in qengine.query.pattern.collector">SubjectPatternCollector</a></dt>
<dd>
<div class="block">Utilise une instance de ce collectionneur pour visiter la requête et retourne
 les patrons trouvés.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/comparator/AbstractEngineComparator.html#processQuery(java.lang.String)">processQuery(String)</a></span> - Method in class qengine.engine.comparator.<a href="../qengine/engine/comparator/AbstractEngineComparator.html" title="class in qengine.engine.comparator">AbstractEngineComparator</a></dt>
<dd>
<div class="block">Un comparateur ne traite pas de requête, cela est délégué aux moteurs à
 comparer.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/CustomEngine.html#processQuery(java.lang.String)">processQuery(String)</a></span> - Method in class qengine.engine.<a href="../qengine/engine/CustomEngine.html" title="class in qengine.engine">CustomEngine</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/Engine.html#processQuery(java.lang.String)">processQuery(String)</a></span> - Method in interface qengine.engine.<a href="../qengine/engine/Engine.html" title="interface in qengine.engine">Engine</a></dt>
<dd>
<div class="block">Traitement d'une requête RDF.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/JenaEngine.html#processQuery(java.lang.String)">processQuery(String)</a></span> - Method in class qengine.engine.<a href="../qengine/engine/JenaEngine.html" title="class in qengine.engine">JenaEngine</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/RDF4JEngine.html#processQuery(java.lang.String)">processQuery(String)</a></span> - Method in class qengine.engine.<a href="../qengine/engine/RDF4JEngine.html" title="class in qengine.engine">RDF4JEngine</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/AbstractEngine.html#processQuery(java.lang.String,java.io.FileWriter)">processQuery(String, FileWriter)</a></span> - Method in class qengine.engine.<a href="../qengine/engine/AbstractEngine.html" title="class in qengine.engine">AbstractEngine</a></dt>
<dd>
<div class="block">Wrapper de la fonction <a href="../qengine/engine/Engine.html#processQuery(java.lang.String)"><code>Engine.processQuery(String)</code></a> qui écrit le résultat
 dans un fichier.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/comparator/AbstractEngineComparator.html#processQuery(java.lang.String,java.io.FileWriter)">processQuery(String, FileWriter)</a></span> - Method in class qengine.engine.comparator.<a href="../qengine/engine/comparator/AbstractEngineComparator.html" title="class in qengine.engine.comparator">AbstractEngineComparator</a></dt>
<dd>
<div class="block">Redéfinition du wrapper qui doit être implémenté de sorte à appeler
 <a href="../qengine/engine/Engine.html#processQuery(java.lang.String)"><code>processQuery(String)</code></a> sur les moteurs à
 comparer.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/comparator/DefaultEngineComparator.html#processQuery(java.lang.String,java.io.FileWriter)">processQuery(String, FileWriter)</a></span> - Method in class qengine.engine.comparator.<a href="../qengine/engine/comparator/DefaultEngineComparator.html" title="class in qengine.engine.comparator">DefaultEngineComparator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/engine/comparator/VerboseEngineComparator.html#processQuery(java.lang.String,java.io.FileWriter)">processQuery(String, FileWriter)</a></span> - Method in class qengine.engine.comparator.<a href="../qengine/engine/comparator/VerboseEngineComparator.html" title="class in qengine.engine.comparator">VerboseEngineComparator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/triplestore/TripleStore.html#project(int,int)">project(int, int)</a></span> - Method in class qengine.index.triplestore.<a href="../qengine/index/triplestore/TripleStore.html" title="class in qengine.index.triplestore">TripleStore</a></dt>
<dd>
<div class="block">La projection se fait véritablement dans cette méthode qui est appelée par
 l'implémentation de <a href="../qengine/index/Index.html#project(qengine.query.pattern.Pattern)"><code>project(Pattern)</code></a>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/Hexastore.html#project(qengine.query.pattern.Pattern)">project(Pattern)</a></span> - Method in class qengine.index.<a href="../qengine/index/Hexastore.html" title="class in qengine.index">Hexastore</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/Index.html#project(qengine.query.pattern.Pattern)">project(Pattern)</a></span> - Method in interface qengine.index.<a href="../qengine/index/Index.html" title="interface in qengine.index">Index</a></dt>
<dd>
<div class="block">Effectue la projection d'un patron.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/triplestore/OPS.html#project(qengine.query.pattern.Pattern)">project(Pattern)</a></span> - Method in class qengine.index.triplestore.<a href="../qengine/index/triplestore/OPS.html" title="class in qengine.index.triplestore">OPS</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/triplestore/OSP.html#project(qengine.query.pattern.Pattern)">project(Pattern)</a></span> - Method in class qengine.index.triplestore.<a href="../qengine/index/triplestore/OSP.html" title="class in qengine.index.triplestore">OSP</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/triplestore/POS.html#project(qengine.query.pattern.Pattern)">project(Pattern)</a></span> - Method in class qengine.index.triplestore.<a href="../qengine/index/triplestore/POS.html" title="class in qengine.index.triplestore">POS</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/triplestore/PSO.html#project(qengine.query.pattern.Pattern)">project(Pattern)</a></span> - Method in class qengine.index.triplestore.<a href="../qengine/index/triplestore/PSO.html" title="class in qengine.index.triplestore">PSO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/triplestore/SOP.html#project(qengine.query.pattern.Pattern)">project(Pattern)</a></span> - Method in class qengine.index.triplestore.<a href="../qengine/index/triplestore/SOP.html" title="class in qengine.index.triplestore">SOP</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/triplestore/SPO.html#project(qengine.query.pattern.Pattern)">project(Pattern)</a></span> - Method in class qengine.index.triplestore.<a href="../qengine/index/triplestore/SPO.html" title="class in qengine.index.triplestore">SPO</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../qengine/query/projection/ProjectionUtils.html" title="class in qengine.query.projection"><span class="typeNameLink">ProjectionUtils</span></a> - Class in <a href="../qengine/query/projection/package-summary.html">qengine.query.projection</a></dt>
<dd>
<div class="block">Classe utilitaire pour les projections.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/query/projection/ProjectionUtils.html#%3Cinit%3E()">ProjectionUtils()</a></span> - Constructor for class qengine.query.projection.<a href="../qengine/query/projection/ProjectionUtils.html" title="class in qengine.query.projection">ProjectionUtils</a></dt>
<dd>
<div class="block">Pas d'instanciation.</div>
</dd>
<dt><a href="../qengine/index/triplestore/PSO.html" title="class in qengine.index.triplestore"><span class="typeNameLink">PSO</span></a> - Class in <a href="../qengine/index/triplestore/package-summary.html">qengine.index.triplestore</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/Hexastore.html#PSO">PSO</a></span> - Variable in class qengine.index.<a href="../qengine/index/Hexastore.html" title="class in qengine.index">Hexastore</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/index/triplestore/PSO.html#%3Cinit%3E()">PSO()</a></span> - Constructor for class qengine.index.triplestore.<a href="../qengine/index/triplestore/PSO.html" title="class in qengine.index.triplestore">PSO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../qengine/program/Stopwatch.html#push(java.lang.String)">push(String)</a></span> - Static method in class qengine.program.<a href="../qengine/program/Stopwatch.html" title="class in qengine.program">Stopwatch</a></dt>
<dd>
<div class="block">Démarre le chronomètre pour calculer la durée qui sera associée au nom donné
 à l'appel de <a href="../qengine/program/Stopwatch.html#pop()"><code>Stopwatch.pop()</code></a>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../qengine/program/Stopwatch.html#put(java.lang.String,long)">put(String, long)</a></span> - Static method in class qengine.program.<a href="../qengine/program/Stopwatch.html" title="class in qengine.program">Stopwatch</a></dt>
<dd>
<div class="block">Accumule la durée associée au nom donné.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
